/**
 * @file /include/ecl/containers/stencil.hpp
 *
 * @brief Windows over ecl type containers.
 *
 * Provides a windowed snapshot over a portion of an ecl container. This
 * simply gathers the stencil headers.
 *
 * @date March 2010
 **/
/*****************************************************************************
** Ifdefs
*****************************************************************************/

#ifndef ECL_CONTAINERS_STENCIL_HPP_
#define ECL_CONTAINERS_STENCIL_HPP_

/*****************************************************************************
** Includes
*****************************************************************************/

#include "stencil/stencil.hpp"
#include "stencil/specialisations.hpp"
#include "stencil/converters.hpp"
#include "stencil/formatters.hpp"

#endif /* ECL_CONTAINERS_STENCIL_HPP_ */
